Bug 151730 - CAN-2005-0401 Drag and drop loading of privileged XUL
Summary: CAN-2005-0401 Drag and drop loading of privileged XUL
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=moderate,embargo=yes,source=mo...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-21 20:53 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 19:14:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:335 high SHIPPED_LIVE Critical: mozilla security update 2005-03-23 05:00:00 UTC

Description Josh Bressers 2005-03-21 20:53:00 UTC
+++ This bug was initially created as a clone of Bug #151714 +++

A malicious page that could lure a user into dragging something (such
as a fake scrollbar) can bypass the restriction on opening privileged
XUL. The startup scripts in the XUL will run with enhanced privilege,
though the actions taken upon merely opening most XUL are benign. So
far no way to run arbitrary code supplied by the attacker has been
found, but this could be a stepping-stone to future attacks.

Workaround
Disable Javascript. Upgrade to the fixed version.

References
http://mikx.de/firescrolling2/
https://bugzilla.mozilla.org/show_bug.cgi?id=285438

Comment 1 Josh Bressers 2005-03-22 22:08:00 UTC
The demo exploit for this is here
http://www.mikx.de/firescrolling2/

Comment 2 Josh Bressers 2005-03-23 18:34:16 UTC
Lifting embargo

Comment 3 Josh Bressers 2005-03-23 19:14:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-335.html



Note You need to log in before you can comment on or make changes to this bug.